com.smartgwt.client.widgets.events

## Class BrowserEvent<H extends com.google.gwt.event.shared.EventHandler>

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<H>

- Direct Known Subclasses:
    AceEditorChangedEvent, AddTabClickedEvent, ApplyClickEvent, ApplyClickEvent, AsyncValidationReplyEvent, BackgroundClickEvent, BackgroundMouseDownEvent, BackgroundMouseUpEvent, BodyKeyPressEvent, ButtonClickEvent, CalendarEventAdded, CalendarEventChangedEvent, CalendarEventClick, CalendarEventMoved, CalendarEventRemoveClick, CalendarEventRemoved, CalendarEventResized, CancelClickEvent, CancelClickEvent, CellSavedEvent, CellSelectionChangedEvent, ChangedEvent, ChartBackgroundDrawnEvent, ChartDrawnEvent, ClearEvent, ClickEvent, CloseClickEvent, ColorChangedEvent, ColorSelectedEvent, ContentLoadedEvent, CurrentViewChangedEvent, DataArrivedEvent, DataArrivedEvent, DataArrivedEvent, DataChangedEvent, DataChangedEvent, DataChangedEvent, DataLabelClickEvent, DataLabelHoverEvent, DateChangedEvent, DayBodyClickEvent, DayHeaderClickEvent, DoubleClickEvent, DownClickEvent, DragCompleteEvent, DragMoveEvent, DragRepositionMoveEvent, DragRepositionStartEvent, DragRepositionStopEvent, DragResizeMoveEvent, DragResizeStartEvent, DragResizeStopEvent, DragStartEvent, DragStopEvent, DrawAreaChangedEvent, DrawEndEvent, DrawStartEvent, DropCompleteEvent, DropEvent, DropMoveEvent, DropOutEvent, DropOverEvent, EditCompleteEvent, EditFailedEvent, EventHoverHTMLEvent, EventRepositionMove, EventRepositionStop, EventResizeMove, EventResizeStop, FacetAddedEvent, FacetContextClickEvent, FacetLabelClickEvent, FacetMovedEvent, FacetRemovedEvent, FacetValueContextClickEvent, FacetValueSelectionChangedEvent, FetchDataEvent, FieldStateChangedEvent, FilterChangedEvent, FilterEditorSubmitEvent, FilterSearchEvent, FixedFacetValueChangedEvent, FocusChangedEvent, FolderClickEvent, FolderClosedEvent, FolderContextClickEvent, FolderDropEvent, FolderOpenedEvent, FormSubmitFailedEvent, FormulaUpdated, GridRowColEvent, GroupByCompleteEvent, GroupByEvent, GroupStateChangedEvent, HeaderClickEvent, HeaderDoubleClickEvent, HeaderHoverEvent, HiddenValidationErrorsEvent, HilitesChangedEvent, HoverEvent, HoverHiddenEvent, IconClickEvent, ImageClickEvent, ItemChangedEvent, ItemChangeEvent, ItemClickEvent, ItemClickEvent, ItemKeyPressEvent, ItemResizedEvent, KeyDownEvent, KeyPressEvent, LeafClickEvent, LeafContextClickEvent, LegendClickEvent, LegendHoverEvent, ListPropertiesChangedEvent, MaximizeClickEvent, MembersChangedEvent, MenuIconClickEvent, MinimizeClickEvent, MouseDownEvent, MouseMoveEvent, MouseOutEvent, MouseOverEvent, MouseStillDownEvent, MouseUpEvent, MouseWheelEvent, MovedEvent, NavigationClickEvent, NodeClickEvent, NodeContextClickEvent, NodeSelectedEvent, PaneChangedEvent, ParentMovedEvent, PercentChangedEvent, PreviewShownEvent, RecordClickEvent, RecordCollapseEvent, RecordContextClickEvent, RecordDoubleClickEvent, RecordDoubleClickEvent, RecordDropEvent, RecordExpandEvent, RecordNavigationClickEvent, RemoveRecordClickEvent, ResizedEvent, RestoreClickEvent, RightMouseDownEvent, RowEditorEnterEvent, RowEditorExitEvent, RuleContextChangedEvent, ScrolledEvent, SectionHeaderClickEvent, SectionHeaderTitleHoverEvent, SelectionChangedEvent, SelectionEvent, SelectionUpdatedEvent, SetSortEvent, ShowContextMenuEvent, SortByFacetIdEvent, SortByFacetValuesEvent, SorterClickEvent, SorterContextClickEvent, SortEvent, SubmitValuesEvent, TabClickEvent, TabCloseClickEvent, TabContextMenuEvent, TabDeselectedEvent, TabSelectedEvent, TabsReorderedEvent, TabTitleChangedEvent, TimeChangedEvent, TimelineEventMoved, TimelineEventResized, TitleHoverEvent, UpClickEvent, ValueChangedEvent, ValueClickEvent, ValuesChangedEvent, ViewStateChangedEvent, VisibilityChangedEvent, ZoomChangedEvent

      public abstract class BrowserEvent<H extends com.google.gwt.event.shared.EventHandler>
      extends AbstractSmartEvent<H>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BrowserEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getX()`
    `int` | `getY()`
    `boolean` | `isAltKeyDown()`
    `boolean` | `isCtrlKeyDown()`
    `boolean` | `isLeftButtonDown()`
    `boolean` | `isRightButtonDown()`

    - ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `getFiringInstanceAsJavaScriptObject`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, dispatch, getAssociatedType, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BrowserEvent

          protected BrowserEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### isAltKeyDown

          public final boolean isAltKeyDown()

    - #### isCtrlKeyDown

          public final boolean isCtrlKeyDown()

    - #### getX

          public final int getX()

    - #### getY

          public final int getY()

    - #### isLeftButtonDown

          public final boolean isLeftButtonDown()

    - #### isRightButtonDown

          public final boolean isRightButtonDown()